<?php
/**
 * Pixel Jewelry functions and definitions
 *
 * @package pixel_jewelry
 * @since 1.0
 */

if ( ! defined( 'PIXEL_JEWELRY_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'PIXEL_JEWELRY_VERSION', wp_get_theme()->get( 'Version' ) );
}

if ( ! function_exists( 'pixel_jewelry_support' ) ) :
	function pixel_jewelry_support() {

		load_theme_textdomain( 'pixel-jewelry', get_template_directory() . '/languages' );

		add_theme_support( 'custom-background', apply_filters( 'pixel_jewelry_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));

		// Add support for block styles.
		add_theme_support( 'wp-block-styles' );

		add_theme_support('woocommerce');

		// Enqueue editor styles.
		add_editor_style(get_stylesheet_directory_uri() . '/assets/css/editor-style.css');

		define('PIXEL_JEWELRY_FREE_BUY_NOW',__('https://www.themepixels.net/products/pixel-jewelry/','pixel-jewelry'));
		define('PIXEL_JEWELRY_BUY_NOW',__('https://www.themepixels.net/products/jewelry-wordpress-theme/','pixel-jewelry'));
		define('PIXEL_JEWELRY_LIVE_DEMO',__('https://themepixels.net/demo-site/pixel-jewelry-pro/','pixel-jewelry'));
		define('PIXEL_JEWELRY_FREE_DOC',__('https://www.themepixels.net/docs/pixel-jewelry-free-doc/','pixel-jewelry'));
		define('PIXEL_JEWELRY_BUNDLE',__('https://www.themepixels.net/products/wp-theme-bundle/','pixel-jewelry'));
		define('PIXEL_JEWELRY_THEME_SUPPORT',__('https://wordpress.org/support/theme/pixel-jewelry','pixel-jewelry'));

    	require_once get_theme_file_path( '/inc/customizer.php' );
	}
endif;

add_action( 'after_setup_theme', 'pixel_jewelry_support' );

if ( ! function_exists( 'pixel_jewelry_styles' ) ) :
	function pixel_jewelry_styles() {
		// Register theme stylesheet.
		$pixel_jewelry_theme_version = wp_get_theme()->get( 'Version' );

		$PIXEL_JEWELRY_VERSION_string = is_string( $pixel_jewelry_theme_version ) ? $pixel_jewelry_theme_version : false;
		wp_enqueue_style(
			'pixel-jewelry-style',
			get_template_directory_uri() . '/style.css',
			array(),
			$PIXEL_JEWELRY_VERSION_string
		);

		wp_style_add_data('pixel-jewelry', 'style-rtl', 'replace');

		wp_enqueue_style( 'dashicons' );

		wp_enqueue_style( 'animate-css', esc_url(get_template_directory_uri()).'/assets/css/animate.css' );

		wp_enqueue_script( 'jquery-wow', esc_url(get_template_directory_uri()) . '/assets/js/wow.js', array('jquery') );
	    
		 //font-awesome
		 wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/inc/fontawesome/css/all.css'
		 	, array(), '6.7.0' );

		 wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/assets/css/owl.carousel.css', array(), PIXEL_JEWELRY_VERSION );
		wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri(). '/assets/js/owl.carousel.js', array('jquery') ,PIXEL_JEWELRY_VERSION,true);

		 wp_enqueue_script('pixel-jewelry-custom-scripts', get_template_directory_uri() . '/assets/js/custom-script.js',  array('jquery'),'' ,true );
	}
endif;

add_action( 'wp_enqueue_scripts', 'pixel_jewelry_styles' );

// Add block patterns
require get_template_directory() . '/inc/block-patterns.php';

// Add block styles
require get_template_directory() . '/inc/block-styles.php';

// Block Filters
require get_template_directory() . '/inc/block-filters.php';

// Svg icons
require get_template_directory() . '/inc/icon-function.php';

// TGM
require get_template_directory() . '/inc/TGM/tgm.php';


/**
* GET START.
*/
require get_template_directory() . '/themeinfo/pixel_jewelry_themeinfo_page.php';

// NOTICE FUNCTION
function pixel_jewelry_activation_notice() {
    if (get_option('pixel_jewelry_notice_dismissed')) {
        return;
    }

    if (isset($_GET['page']) && $_GET['page'] === 'pixel-jewelry-themeinfo-page') {
        return;
    }
    ?>
    <div class="updated notice notice-theme-info-class is-dismissible" data-notice="theme_info">
        <div class="pixel-jewelry-theme-info-notice clearfix">
            <div class="pixel-jewelry-theme-notice-content">
				<div class="notice-content">
					<div class="inner-notice-contetn">
						<h2 class="pixel-jewelry-notice-h2">
							<?php
							printf(
								/* translators: 1: Theme name */
								esc_html__('Hello! Thank you for choosing our %1$s!', 'pixel-jewelry'), '<strong>' . esc_html(wp_get_theme()->get('Name')) . '</strong>'
							);
							?>
						</h2>

						<p class="pixel-jewelry-notice-p">
							<?php
							printf(
								/* translators: 1: Theme name */
								esc_html__('%1$s has been successfully installed and is ready for use. The links below will help you get started.', 'pixel-jewelry'), '<strong>' . esc_html(wp_get_theme()->get('Name')) . '</strong>'
							);
							?>
						</p>
					</div>
					<div class="inner-notice-buttons">
						<a class="pixel-jewelry-btn-theme-info button button-primary" target="_blank" href="<?php echo esc_url(admin_url('themes.php?page=pixel-jewelry-themeinfo-page')); ?>" id="pixel-jewelry-themeinfo-button"> <?php esc_html_e('Pixel Jewelry Theme Information', 'pixel-jewelry') ?></a>
						
						<a class="pixel-jewelry-btn-theme-info button button-primary buy-noww" target="_blank" href="<?php echo esc_url(PIXEL_JEWELRY_BUY_NOW); ?>" id="pixel-jewelry-bundle-button"> <?php esc_html_e('Buy Now', 'pixel-jewelry') ?></a>
						<a class="pixel-jewelry-btn-theme-info button button-primary bundlee" target="_blank" href="<?php echo esc_url(PIXEL_JEWELRY_BUNDLE); ?>" id="pixel-jewelry-bundle-button"> <?php esc_html_e('Get All Themes', 'pixel-jewelry') ?></a>
						<a class="pixel-jewelry-btn-theme-info button button-primary live-demoo" target="_blank" href="<?php echo esc_url(PIXEL_JEWELRY_LIVE_DEMO); ?>" id="pixel-jewelry-bundle-button"> <?php esc_html_e('Live Demo', 'pixel-jewelry') ?></a>
					</div>
				</div>
				<div class="notice-image">
					<img src="<?php echo esc_url( get_stylesheet_directory_uri() . '/assets/images/bundle-img.png' ); ?>" alt="<?php esc_attr_e( 'Theme Screenshot', 'pixel-jewelry' ); ?>">
				</div>
            </div>
        </div>
    </div>
    <?php
}

add_action('admin_notices', 'pixel_jewelry_activation_notice');

add_action('wp_ajax_pixel_jewelry_dismiss_notice', 'pixel_jewelry_dismiss_notice');

function pixel_jewelry_notice_status() {
    delete_option('pixel_jewelry_notice_dismissed');
}
add_action('after_switch_theme', 'pixel_jewelry_notice_status');

function pixel_jewelry_dismiss_notice() {
    update_option('pixel_jewelry_notice_dismissed', true);
    wp_send_json_success();
}

function pixel_jewelry_admin_enqueue_scripts(){
	wp_enqueue_style('pixel-jewelry-admin-style', esc_url( get_template_directory_uri() ) . '/assets/css/pixel-jewelry-notice.css');
	wp_enqueue_script('pixel-jewelry-dismiss-notice-script', get_stylesheet_directory_uri() . '/assets/js/pixel-jewelry-notice.js', array('jquery'), null, true);
}
add_action( 'admin_enqueue_scripts', 'pixel_jewelry_admin_enqueue_scripts' );